/*
 * PairPotential_LennardJonesUnitTest.hpp
 *
 *  Created on: Jul 05, 2013
 *      Author: heber
 */

#ifndef PAIRPOTENTIAL_LENNARDJONESUNITTEST_HPP_
#define PAIRPOTENTIAL_LENNARDJONESUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <vector>

#include <cppunit/extensions/HelperMacros.h>

/********************************************** Test classes **************************************/

class PairPotential_LennardJonesTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( PairPotential_LennardJonesTest) ;
    CPPUNIT_TEST ( operatorTest );
    CPPUNIT_TEST ( derivativeTest );
    CPPUNIT_TEST ( parameter_derivativeTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void operatorTest();
      void derivativeTest();
      void parameter_derivativeTest();


private:
      typedef std::vector<double> data_t;
      data_t input;
      data_t output;
      double epsilon, sigma;
};

#endif /* PAIRPOTENTIAL_LENNARDJONESUNITTEST_HPP_ */
